Bug 62283 - install dies at end during grub install
Summary: install dies at end during grub install
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL: http://mrallen.com/anacdump-2.txt
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-29 03:00 UTC by Need Real Name
Modified: 2008-01-17 17:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 18:48:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-03-29 03:00:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.8) Gecko/20020205

Description of problem:
Performing an NFS install this time since the CD install died at the same place
with the same errors. Thought this would fix it, but no luck. After the entire
install completed (quite some time), it died in an unrecoverable way (uncool)
and didn't even allow me to create a boot disk.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. choose NFS install
2. choose grub boot loader
3. wait 1 hr for install to complete
4. anaconda crashes during grub install. see log at url provided.

Additional info:

I disabled the grub install for a test run and it completed an allowed me to
create a boot disk. the boot disk, though, turned out to be useless in that it
did not boot the system. grub failed with an error 15 I think. the system
contains two scsi disks (aic7xxx) and a ide drive (/dev/hdc). I'm installing
onto the ide disk and asking grub to place the boot loader in the MBR.

Comment 1 Need Real Name 2002-03-29 05:15:59 UTC
I am also seeing this bug in a text based custom install on a VMWare virtual
machine (virtual SCSI disk).  The very similar stack dump I get is:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 627, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/text.py", line 427, in run
    dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 144, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 209, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/bootloader.py", line 875, in writeBootloader
    justConfigFile, intf)
  File "/usr/lib/anaconda/bootloader.py", line 729, in write
    justConfig | (not self.useGrubVal))
  File "/usr/lib/anaconda/bootloader.py", line 575, in writeGrub
    root = instRoot)
  File "/usr/lib/anaconda/iutil.py", line 61, in execWithRedirect
    raise RuntimeError, command + " can not be run"
RuntimeError: /sbin/grub-install can not be run



Comment 2 Michael Fulbright 2002-04-01 17:11:45 UTC
This means there was a package error during the install, most likely because of
a corrupted package.  Have you checked the md5sum of the install files you
downloaded?

Comment 3 Michael Fulbright 2002-04-25 21:22:55 UTC
Closing due to inactivity.

Comment 4 Michael Fulbright 2002-05-23 16:55:45 UTC
Closing due to inactivity - please reopen if you have additional comments to add
to this bug.

Comment 5 Red Hat Bugzilla 2006-02-21 18:48:39 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.